package coloreti;

public class IOEvent implements Comparable<IOEvent> 
{
	public enum IOEventType
	{
		MOVING_FORWARD,
		MOVING_BACKWARD,
		STOP_MOVING,
		TURNING_LEFT,
		TURNING_RIGHT,
		STOP_TURNING,
		ACTIVATE_GEMS
	}
	
	private long time;
	private int player;
	private IOEventType type;
	
	public IOEvent(IOEventType type, int player, long time)
	{
		this.type = type;
		this.player = player;
		this.time = time;
	}

	/**
	 * @return the time
	 */
	public long getTime() {
		return time;
	}

	/**
	 * @return the player
	 */
	public int getPlayer() {
		return player;
	}

	/**
	 * @return the type
	 */
	public IOEventType getType() {
		return type;
	}
	
	public int compareTo(IOEvent e)
	{
		return Long.valueOf(time).compareTo(Long.valueOf(e.time));
	}
}
