package coloreti.data;

import java.io.Serializable;

public class PlayerInitData implements Serializable {
	
	private float px, py;
	private int index;
	private String name;
	
	public PlayerInitData(float x, float y, int index)
	{
		px = x;
		py = y;
		this.index = index;
		this.name = name;
	}
	
	public float getX()
	{
		return px;
	}
	
	public float getY()
	{
		return py;
	}
	
	public int getIndex()
	{
		return index;
	}
	
	public static Player createNewPlayer(PlayerInitData pid, Board board)
	{
		Player player = new Player(pid.getX(), pid.getY(), board, pid.getIndex());
		player.setName(pid.getName());
		return player;
	}


	/**
	 * @return the name
	 */
	public String getName() {
		return name;
	}
	
	/**
	 * Sets the name
	 * @param name The name to set
	 */
	public void setName(String name)
	{
		this.name = name;
	}
	
}
