package coloreti.data;

import java.io.Serializable;
import java.util.*;

/**
 * This class represents the state of a player. It is a serializable class which
 * is used for data transfer between the server and client
 * @author ctheng
 *
 */
public class PlayerStateData implements Serializable 
{
	private float px, py;
	private float dx, dy;
	private float facing;
	private int motion;
	private int turning;
	
	public PlayerStateData()
	{
		
	}
	
	public static PlayerStateData createPlayerStateData (Player p)
	{
		PlayerStateData psd = new PlayerStateData();
		psd.px = p.getX();
		psd.py = p.getY();
		psd.dx = p.getDx();
		psd.dy = p.getDy();
		psd.facing = p.getFacing();
		psd.motion = p.getMotion();
		psd.turning = p.getTurning();
		
		return psd;
	}

	/**
	 * @return the px
	 */
	public float getX() {
		return px;
	}

	/**
	 * @return the py
	 */
	public float getY() {
		return py;
	}

	/**
	 * @return the dx
	 */
	public float getDx() {
		return dx;
	}

	/**
	 * @return the dy
	 */
	public float getDy() {
		return dy;
	}

	/**
	 * @return the facing
	 */
	public float getFacing() {
		return facing;
	}

	/**
	 * @return the motion
	 */
	public int getMotion() {
		return motion;
	}

	/**
	 * @return the turning
	 */
	public int getTurning() {
		return turning;
	}

}
