package coloreti.interfaces;
import java.awt.*;

public interface Displayable {
	
	/**
	 * Draws the displayable object on the specified graphics context, with the top
	 * left at position (x, y)
	 * @param g The graphics context to draw on
	 * @param x The x-coordinate of the left of the object
	 * @param y The y-coordinate of the top of the object
	 */
	public void drawComponent (Graphics2D g, int x, int y);
	
	/**
	 * Refreshes the component.
	 * @param elapsedTime The amount of time passed since the last update
	 */
	public void update (long elapsedTime);
	
}
