package coloreti.network.messages;

/**
 * A game action message is sent from clients to the server, whenever an action
 * is performed.
 * @author ctheng
 *
 */
public class GameActionMessage extends Message{
	
	public enum GameActionType
	{
		MOVING_FORWARD,
		MOVING_BACKWARD,
		STOP_MOVING,
		TURNING_LEFT,
		TURNING_RIGHT,
		STOP_TURNING,
		ACTIVATE_GEMS
	}
	
	private GameActionType type;
	private int time;
	private int data;
	
	public GameActionMessage(int senderId, GameActionType type)
	{
		super(senderId);
		this.type = type;
	}

	/**
	 * @return the type
	 */
	public GameActionType getType() {
		return type;
	}

	/**
	 * @param time the time to set
	 */
	public void setTime(int time) {
		this.time = time;
	}

	/**
	 * @return the time
	 */
	public int getTime() {
		return time;
	}

	/**
	 * @param data the data to set
	 */
	public void setData(int data) {
		this.data = data;
	}

	/**
	 * @return the data
	 */
	public int getData() {
		return data;
	}
	
	
	
}
